Page MenuHomePhabricator

Get 2020 user/editcount data to determine count at percentiles
Closed, ResolvedPublic

Description

Same as T242631, but for data from recent months

User Story:: As a UX Researcher, I want to know how "typical" a certain edit count among editors who have been active in some timeframe in the last months. (I would like to check how the numbers changed since T242631 and I would also like to create a list of edit count ranges for a survey, so editors do not need to state their (de-anonymizable) editcount)

Format: Ideally, I would have a table (CSV) or even just the query that I can put into quarry to generate the table

Columns:

  • (pseudonymous) user (some key/id is sufficient)
  • User edit count
  • Last active on [UNIX DATE] (basically I want to have active users, but it might be helpful to have users who did <5 edits in the last month)
  • ideally, a column indicating if the account is a bot or not (Bot: TRUE | FALSE or so).

This might be a very long table, so if it goes beyond 20MB I'd also take a sampled or some sort of truncated version.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 10 2020, 11:59 AM
GoranSMilovanovic added a comment.EditedNov 19 2020, 7:39 PM

@Jan_Dittrich Results shared via e-mail.

@Jan_Dittrich Do we need anything else here? I guess we can continue the discussion on inequality measures that you have started via e-mail?

I'd love to be looped in on those discussions.

@Jan_Dittrich Could you involve @Lydia_Pintscher in the email in relation to this ticket and the inequality measures? ^^
Again, please: did we resolve this one?

Jan_Dittrich closed this task as Resolved.Dec 1 2020, 9:07 AM

Again, please: did we resolve this one?

Yes, resolved! Sorry for not setting it.